Unit tids6r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IDS6R_p;

function tids6r: String;

implementation

function tids6r: String;
var
N,NPAR,_i :Integer;
T :Array [0..16] of Real;
X2 :Array [0..16] of Real;
Y2 :Array [0..16] of Real;
F :Array [0..16] of Real;
G :Array [0..16] of Real;
H :Array [0..16] of Real;
const
X :Array [0..16] of Real = ( -1.0,-0.75,-0.5,-0.25,0.0,0.25,0.5,0.75,1.0,
0.75,0.5,0.25,0.0,-0.25,-0.5,-0.75,-1.0 );
Y :Array [0..16] of Real = ( 0.0,-0.6614,-0.8660,-0.9682,-1.0,-0.9682,
-0.8660,-0.6614,0.0,0.6614,0.8660,0.9682,1.0,
0.9682,0.8660,0.6614,0.0 );
begin
Result := '';  {   }
N := 17;
NPAR := 1;
IDS6R(N,NPAR,T,X,X2,Y,Y2,F,G,H);
Result := Result + #$0D#$0A;
for _i:=0 to 16 do
 begin
  Result := Result + Format('%20.16f ',[X2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 16 do
 begin
  Result := Result + Format('%20.16f ',[Y2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tids6r',Result);  {     tids6r.res }
exit;
end;

end.
